DefaultCodecIdentifier (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Class DefaultCodecIdentifier

    java.lang.Object
      org.codehaus.groovy.grails.support.encoding.DefaultCodecIdentifier

All Implemented Interfaces:
  CodecIdentifier

    public class DefaultCodecIdentifier
    extends java.lang.Object

default implementation of CodecIdentifier

Authors:
  Lari Hotari

Since:
  2.3

Constructor Summary
`DefaultCodecIdentifier(java.lang.String codecName)`
`DefaultCodecIdentifier(java.lang.String codecName, java.lang.String... codecAliases)`
`DefaultCodecIdentifier(java.lang.String codecName, java.util.Set codecAliases)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Set` | `getCodecAliases()`
`java.lang.String` | `getCodecName()`
`int` | `hashCode()`
`boolean` | `isEquivalent(CodecIdentifier other)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultCodecIdentifier

    public DefaultCodecIdentifier(java.lang.String codecName)

### DefaultCodecIdentifier

    public DefaultCodecIdentifier(java.lang.String codecName, java.lang.String... codecAliases)

### DefaultCodecIdentifier

    public DefaultCodecIdentifier(java.lang.String codecName, java.util.Set codecAliases)

Method Detail

### equals

    @java.lang.Override
    public boolean equals(java.lang.Object obj)

### getCodecAliases

    public java.util.Set getCodecAliases()

### getCodecName

    public java.lang.String getCodecName()

### hashCode

    @java.lang.Override
    public int hashCode()

### isEquivalent

    public boolean isEquivalent(CodecIdentifier other)

### toString

    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation